package com.authserviceclient;

import androidx.annotation.NonNull;

import android.annotation.SuppressLint;
import android.widget.Toast;
import com.facebook.react.bridge.Promise;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.bridge.ReactContextBaseJavaModule;
import com.facebook.react.bridge.ReactMethod;
import com.facebook.react.module.annotations.ReactModule;
import android.content.pm.ResolveInfo;
import android.database.Cursor;
import android.net.Uri;

@ReactModule(name = AuthServiceClientModule.NAME)
public class AuthServiceClientModule extends ReactContextBaseJavaModule {
  public static final String NAME = "AuthServiceClient";
  private static ReactApplicationContext context;
  public AuthServiceClientModule(ReactApplicationContext reactContext) {
    super(reactContext);
     context = reactContext;
  }

  @Override
  @NonNull
  public String getName() {
    return NAME;
  }


  // Example method
  // See https://reactnative.dev/docs/native-modules-android
  @ReactMethod
  public void multiply(double a, double b, Promise promise) {
    promise.resolve(a * b);
  }

   @ReactMethod
    public void show(String text, Promise promise) {
      Toast.makeText(context, text, Toast.LENGTH_LONG).show();
      promise.resolve(true);
  }


  @ReactMethod
    public void addEvent(String email, String password, Promise promise) {
    promise.resolve(true);
  }

  @ReactMethod
    public void getValueFromProvider( String providerName,Promise promise) {
        String URL = "content://"+providerName+"/students";
        Uri students = Uri.parse(URL);
        Cursor c = context.getContentResolver().query(students, null, null, null, "_id");
        if(c!=null &&  c.getCount()==1){
            c.moveToFirst();
            @SuppressLint("Range") String dataString="\n " + c.getString(c.getColumnIndex("email"))+
                    ", \n" + c.getString(c.getColumnIndex("password"));
            promise.resolve(dataString);
        }
        else{
         promise.reject("No data found");
        }
  }
 @ReactMethod
    public void deleteEvent(Promise promise) {
      promise.resolve(true);
  }


}
