"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addEvent = addEvent;
exports.deleteEvent = deleteEvent;
exports.getEvent = getEvent;
exports.multiply = multiply;
exports.show = show;
var _reactNative = require("react-native");
const LINKING_ERROR = `The package 'react-native-auth-service-client' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const AuthServiceClient = _reactNative.NativeModules.AuthServiceClient ? _reactNative.NativeModules.AuthServiceClient : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
function multiply(a, b) {
  return AuthServiceClient.multiply(a, b);
}
function show(message) {
  return AuthServiceClient.show(message);
}
function addEvent(email, password) {
  return AuthServiceClient.addEvent(email, password);
}
function getEvent() {
  let providerName = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "null";
  if (_reactNative.Platform.OS == "android") {
    return AuthServiceClient.getValueFromProvider(providerName);
  } else {
    return AuthServiceClient.getEvent();
  }
}
function deleteEvent() {
  return AuthServiceClient.deleteEvent();
}
//# sourceMappingURL=index.js.map