import { NativeModules, Platform } from 'react-native';
const LINKING_ERROR = `The package 'react-native-auth-service-client' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo Go\n';
const AuthServiceClient = NativeModules.AuthServiceClient ? NativeModules.AuthServiceClient : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }
});
export function multiply(a, b) {
  return AuthServiceClient.multiply(a, b);
}
export function show(message) {
  return AuthServiceClient.show(message);
}
export function addEvent(email, password) {
  return AuthServiceClient.addEvent(email, password);
}
export function getEvent() {
  let providerName = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : "null";
  if (Platform.OS == "android") {
    return AuthServiceClient.getValueFromProvider(providerName);
  } else {
    return AuthServiceClient.getEvent();
  }
}
export function deleteEvent() {
  return AuthServiceClient.deleteEvent();
}
//# sourceMappingURL=index.js.map