import { NativeModules, Platform } from 'react-native';

const LINKING_ERROR =
  `The package 'react-native-auth-service-client' doesn't seem to be linked. Make sure: \n\n` +
  Platform.select({ ios: "- You have run 'pod install'\n", default: '' }) +
  '- You rebuilt the app after installing the package\n' +
  '- You are not using Expo Go\n';

const AuthServiceClient = NativeModules.AuthServiceClient
  ? NativeModules.AuthServiceClient
  : new Proxy(
      {},
      {
        get() {
          throw new Error(LINKING_ERROR);
        },
      }
    );

export function multiply(a: number, b: number): Promise<number> {
  return AuthServiceClient.multiply(a, b);
}
export function show(message: string): Promise<boolean> {
  return AuthServiceClient.show(message);
}


export function addEvent(email: string, password: string) : Promise<boolean> {
  return AuthServiceClient.addEvent(email,password);
}

export function getEvent(providerName="null") : Promise<string> {
  if(Platform.OS=="android"){
  return AuthServiceClient.getValueFromProvider(providerName);
  }
  else{
  return AuthServiceClient.getEvent();
  }
}

export function deleteEvent() : Promise<boolean> {
  return AuthServiceClient.deleteEvent();
}